package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.TSysVersion;

/**
 * 系统版本更新记录Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITSysVersionService 
{
    /**
     * 查询系统版本更新记录
     * 
     * @param id 系统版本更新记录主键
     * @return 系统版本更新记录
     */
    public TSysVersion selectTSysVersionById(Long id);

    /**
     * 查询系统版本更新记录列表
     * 
     * @param tSysVersion 系统版本更新记录
     * @return 系统版本更新记录集合
     */
    public List<TSysVersion> selectTSysVersionList(TSysVersion tSysVersion);

    /**
     * 新增系统版本更新记录
     * 
     * @param tSysVersion 系统版本更新记录
     * @return 结果
     */
    public int insertTSysVersion(TSysVersion tSysVersion);

    /**
     * 修改系统版本更新记录
     * 
     * @param tSysVersion 系统版本更新记录
     * @return 结果
     */
    public int updateTSysVersion(TSysVersion tSysVersion);

    /**
     * 批量删除系统版本更新记录
     * 
     * @param ids 需要删除的系统版本更新记录主键集合
     * @return 结果
     */
    public int deleteTSysVersionByIds(String ids);

    /**
     * 删除系统版本更新记录信息
     * 
     * @param id 系统版本更新记录主键
     * @return 结果
     */
    public int deleteTSysVersionById(Long id);
}
